SoLocateHighlight(3)

NAME
SoLocateHighlight - The SoLocateHighlight class highlights geometry under the cursor.

SYNOPSIS

#include <Inventor/nodes/SoLocateHighlight.h>

Inherits SoSeparator.

Inherited by SoWWWAnchor.

  Public Types
enum Modes { AUTO, ON, OFF }
enum Styles { EMISSIVE, EMISSIVE_DIFFUSE }

  Public Member Functions
virtual SoType getTypeId (void) const
SoLocateHighlight (void)
virtual void handleEvent (SoHandleEventAction *action)
virtual void GLRenderBelowPath (SoGLRenderAction *action)
virtual void GLRenderInPath (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void turnOffCurrentHighlight (SoGLRenderAction *action)

  Public Attributes
SoSFColor color
SoSFEnum style
SoSFEnum mode

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoLocateHighlight ()
virtual void redrawHighlighted (SoAction *act, SbBool flag)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoLocateHighlight class highlights geometry under the cursor. Note: this node is supposed to draw to the front buffer. However, in Coin we always draw to the back buffer, forcing a scene redraw whenever a highlight state changes.

FILE FORMAT/DEFAULTS:

LocateHighlight {
    renderCaching AUTO
    boundingBoxCaching AUTO
    renderCulling AUTO
    pickCulling AUTO
    color 0.3 0.3 0.3
    style EMISSIVE
    mode AUTO
}

Member Enumeration Documentation

  enum SoLocateHighlight::Modes
Enum type for behaviour modes.

Enumerator

AUTO
    Highlight when mouse cursor is over the contents of the node.

ON  Always highlight.

OFF Never highlight.

  enum SoLocateHighlight::Styles
Enum type for highlight styles.

Enumerator

EMISSIVE
    Highlight using emissive color override.

EMISSIVE_DIFFUSE
    Highlight using emissive and diffuse color override.

Constructor & Destructor Documentation

  SoLocateHighlight::SoLocateHighlight (void)
Constructor.

  SoLocateHighlight::~SoLocateHighlight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLocateHighlight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoLocateHighlight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSeparator.

Reimplemented in SoWWWAnchor.

  const SoFieldData ** SoLocateHighlight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoLocateHighlight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoSeparator.

Reimplemented in SoWWWAnchor.

  void SoLocateHighlight::handleEvent (SoHandleEventAction * action) [virtual]
Action method for SoHandleEventAction.

Inspects the event data from action, and processes it if it is something which this node should react to.

Nodes influencing relevant state variables for how event handling is done also override this method.

Reimplemented from SoSeparator.

Reimplemented in SoWWWAnchor.

  void SoLocateHighlight::GLRenderBelowPath (SoGLRenderAction * action) [virtual]
SGI Open Inventor v2.1 obsoleted support for SoGLRenderAction::addMethod(). Instead, GLRender() might be called directly, and to optimize traversal, the SoSeparator node calls GLRenderBelowPath whenever the path code is BELOW_PATH or NO_PATH (path code is guaranteed not to change). To be compatible with SGI's Inventor (and thereby also TGS') we have chosen to follow their implementation in this respect.

SoSeparator::GLRenderBelowPath() does not traverse its children using SoChildList::traverse(), but calls GLRenderBelowPath() directly for all its children.

Reimplemented from SoSeparator.

  void SoLocateHighlight::GLRenderInPath (SoGLRenderAction * action) [virtual]
Implements the SoAction::IN_PATH traversal method for the rendering action.

Reimplemented from SoSeparator.

  void SoLocateHighlight::turnOffCurrentHighlight (SoGLRenderAction * action) [static]
Static method that can be used to turn off the current highlight.

  void SoLocateHighlight::redrawHighlighted (SoAction * act, SbBool flag) [protected], [virtual]
Empty method in Coin. Can be used by subclasses to be told when status change.

Reimplemented in SoWWWAnchor.

Member Data Documentation

  SoSFColor SoLocateHighlight::color
The color used for highlighting. Default is [0.3, 0.3, 0.3], a dark gray.

  SoSFEnum SoLocateHighlight::style
The highlight style. Default is SoLocateHighlight::EMISSIVE.

  SoSFEnum SoLocateHighlight::mode
The highlight mode. Default is SoLocateHighlight::AUTO.

Author

Generated automatically by Doxygen for Coin from the source code.